<template>
  <v-container id="matchmakings">
    <v-layout row wrap v-for="matchmaking in matchmakings" :key="matchmaking.id" class="mb-2">
      <v-flex xs12 sm10 md8 offset-sm1 offset-md2>
        <v-card class="info"> 
          <v-container fluid>
            <v-layout row>
              <v-flex xs5 sm4 md3>
                <v-img
                :src="matchmaking.imageUrl"
                height="125px"
                >
                </v-img>
              </v-flex>
              <v-flex xs7 sm8 md9>
                <v-card-title primary-title>
                  <div>
                    <h5 class="mb-1">{{ matchmaking.title }} - {{matchmaking.location}}</h5>
                    <div>{{matchmaking.date }} at {{matchmaking.time}} </div>
                  </div>
                </v-card-title>
                <v-card-actions>
                  <v-btn dark :to="'/matchmakings/' + matchmaking.id">
                    <v-icon left light>arrow_forward</v-icon>
                    View Matchmaking
                  </v-btn>
                </v-card-actions>
              </v-flex>
            </v-layout>
          </v-container>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>

export default {
  mounted () {
      this.$store.dispatch('loadMatchmakings')
  },
  computed: {
    matchmakings () {
        return this.$store.getters.loadedMatchmakings
    }
  }
}
</script>
<style>
#matchmakings {
    background-image : url("../../assets/playstation.jpg");
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
  }
</style>

